<div *ngIf="isLoadingPlaces"
    class="alert alert-primary mt-2 text-center">
    <h6>Cargando</h6>
    <span>Espere por favor...</span>
</div>

<div *ngFor="let place of places">
    <ul class="list-group mt-2" *ngIf="places.length > 0">
        <li class="list-group-item list-group-item-action pointer"
            [class.active]="place.id === selectedId"
            (click)="flyTo(place)">
            <h6>{{place.text_es}}</h6>
            <p>{{place.place_name}}</p>
            <button class="btn btn-sm"
                    (click)="getDirections(place)"
                    [ngClass]="(place.id === selectedId) ? 'btn-outline-light' : 'btn-outline-primary'">
                Direcciones
            </button>
        </li>
    </ul>
</div>

<form [formGroup]="formRecorrido" (ngSubmit)="sendRecorrido()">
    <!--<div class="row my-3"  *ngIf="rolUsuario ==='Cuidador'">
        <label>Pacientes</label>
        <div class="col-12">
            <select name="idUsuarioDestino" formControlName="idUsuarioDestino" class="form-select">
            <option *ngFor="let paciente of pacientesAsociados" [value]="paciente.id">{{paciente.nombre}} {{paciente.apellido}}</option>
          </select>
          </div>
    </div>-->
    <div class="row my-3">
        <div class="col-6">
            <label>Fecha de partida</label>
            <input type="date" name="fechaEstimadaPartida" formControlName="fechaEstimadaPartida">
        </div>
        <div class="col-6">
            <label>Fecha de llegada</label>
            <input type="date" name="fechaEstimadaLlegada" formControlName="fechaEstimadaLlegada">
        </div>
    </div>
    <div class="row my-3">
        <div class="col-6">
            <label>Horario de partida</label>
            <input type="time" name="horaEstimadaPartida" formControlName="horaEstimadaPartida">
        </div>
        <div class="col-6">
            <label>Horario de llegada</label>
            <input type="time" name="horaEstimadaLlegada" formControlName="horaEstimadaLlegada">
        </div>
    </div>

    <div class="d-grid gap-2 d-md-flex justify-content-md-end">
        <button type="submit" class="btn btn-primary mt-3" [disabled]="formRecorrido.invalid">Enviar recorrido</button>
    </div>
</form>




    